import { select, json, geoPath, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

// Selecting the svg file from that of the Html file
const svg = select('svg');

// generating and projecting the paths by using teh geoearth and geo path 
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

// This is for the data extraction or collection an dthat to for teh formating on canvas page.
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  .then(data => {
  
	// all the data of teh countries are derived are taken from this 
    const countries = feature(data, data.objects.countries);
  	// for generating the paths in the canvas it takes the data of teh countries that is extracted 
    svg.selectAll('path').data(countries.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerator);
  });